#

## suspendall

Suspend normal display refresh on all windows until the invocation of a corresponding resumeall command.

### Usage:

> suspendall

### Summary:

> The suspendall command is a script that invokes the command update suspend on all layout windows. It is used in conjunction with the resumeall command and is intended for use in Tcl scripts that perform multiple manipulations on layout in a window, where it is desired to have the entire display refresh at one time at the end of the script rather than for each command within the script.

> Because the update command can be nested, calls to suspendall and resumeall are likewise nested. resumeall does not resume the window refresh until it has been called the same number of times as suspendall was called.

### Implementation Notes:

> suspendall is implemented as a Tcl procedure in the "tools" script.

### See Also:

> resumeall
> update

Return to command index

Last updated: March 7, 2020 at 1:06pm